My Project: dgRef Class Reference

My Project

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
dgRef Class Reference

`#include <dgRef.h>`

Inheritance diagram for dgRef:

## Public Member Functions

| dgRef ()
| dgRef (const char *name)
| dgRef (dgUnsigned32 idArg)
| dgRef (const dgRef &Clone)
dgRef * | AddRef ()
dgInt32 | Release ()
dgInt32 | GetRefCount () const
virtual dgRef * | CreateClone () const
virtual dgUnsigned32 | GetTypeId () const
virtual bool | IsType (dgUnsigned32 typeId) const
bool | GetUserFlag0 () const
bool | GetUserFlag1 () const
void | SetUserFlag0 (bool flags)
void | SetUserFlag1 (bool flags)
bool | IsAlive () const
virtual void | Kill ()
virtual void | Unkill ()
const char * | GetName () const
dgUnsigned32 | GetNameID () const
void | SetNameID (dgUnsigned32 newID)
virtual void | SetName (const char *name)
void | AttachRef (dgRef **oldRef, dgRef *newRef)
bool | IsTypeByName (const char *typeName) const
Public Member Functions inherited from dgRefFlags
| dgRefFlags ()
dgInt32 | operator= (dgInt32 val)

## Static Public Member Functions

static dgUnsigned32 | GetRttiType ()

## Protected Member Functions

virtual | ~dgRef ()

## Additional Inherited Members

Public Attributes inherited from dgRefFlags
dgUnsigned8 | m_alive
dgUnsigned8 | m_userFlag0
dgUnsigned8 | m_userFlag1
dgUnsigned8 | m_userFlag2
dgUnsigned32 | m_ref

## Constructor & Destructor Documentation

## § dgRef() [1/4]

dgRef::dgRef | ( |  | ) |

inline

## § dgRef() [2/4]

dgRef::dgRef | ( | const char * | name | ) |

inline

## § dgRef() [3/4]

dgRef::dgRef | ( | dgUnsigned32 | idArg | ) |

inline

## § dgRef() [4/4]

dgRef::dgRef | ( | const dgRef & | Clone | ) |

inline

## § ~dgRef()

dgRef::~dgRef | ( |  | ) |

inlineprotectedvirtual

## Member Function Documentation

## § AddRef()

dgRef * dgRef::AddRef | ( |  | ) |

inline

## § AttachRef()

void dgRef::AttachRef | ( | dgRef ** | oldRef,
|  | dgRef * | newRef
| ) |  |

## § CreateClone()

dgRef * dgRef::CreateClone | ( |  | ) | const

inlinevirtual

Reimplemented in dgNode< T >.

## § GetName()

const char * dgRef::GetName | ( |  | ) | const

inline

## § GetNameID()

dgUnsigned32 dgRef::GetNameID | ( |  | ) | const

inline

## § GetRefCount()

dgInt32 dgRef::GetRefCount | ( |  | ) | const

inline

## § GetRttiType()

dgUnsigned32 dgRef::GetRttiType | ( |  | ) |

inlinestatic

## § GetTypeId()

dgUnsigned32 dgRef::GetTypeId | ( |  | ) | const

inlinevirtual

## § GetUserFlag0()

bool dgRef::GetUserFlag0 | ( |  | ) | const

inline

## § GetUserFlag1()

bool dgRef::GetUserFlag1 | ( |  | ) | const

inline

## § IsAlive()

bool dgRef::IsAlive | ( |  | ) | const

inline

## § IsType()

bool dgRef::IsType | ( | dgUnsigned32 | typeId | ) | const

inlinevirtual

## § IsTypeByName()

bool dgRef::IsTypeByName | ( | const char * | typeName | ) | const

inline

## § Kill()

void dgRef::Kill | ( |  | ) |

inlinevirtual

## § Release()

dgInt32 dgRef::Release | ( |  | ) |

inline

## § SetName()

void dgRef::SetName | ( | const char * | name | ) |

inlinevirtual

## § SetNameID()

void dgRef::SetNameID | ( | dgUnsigned32 | newID | ) |

inline

## § SetUserFlag0()

void dgRef::SetUserFlag0 | ( | bool | flags | ) |

inline

## § SetUserFlag1()

void dgRef::SetUserFlag1 | ( | bool | flags | ) |

inline

## § Unkill()

void dgRef::Unkill | ( |  | ) |

inlinevirtual

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgRef.h
- dynamics.mod/NewtonDynamics/source/core/dgRef.cpp